{ pkgs, lib, ... }:
{
  # TASK: new device
  networking.hostName = "elias-e525"; # Define your hostname.

  networking.firewall.enable = true;
  networking.firewall.allowedTCPPorts = [
    # iperf3
    5201
  ];

  networking.firewall.logRefusedConnections = false;
  networking.usePredictableInterfaceNames = false;

  services.fprintd.enable = true;
  security.pam.services = {
    # conflicts with nixpkgs' gdm.nix
    # login.fprintAuth = true;
    sudo.fprintAuth = true;
  };

  services = {
    xserver = {
      xkb.layout = lib.mkForce "de";
      xkb.variant = lib.mkForce "";
      xkb.options = lib.mkForce "";
      displayManager.gdm.enable = lib.mkForce true;
      displayManager.lightdm.enable = lib.mkForce false;
      desktopManager.gnome.enable = true;
    };

    displayManager.autoLogin.enable = lib.mkForce false;

    # dbus.packages = [ pkgs.gnome3.dconf ];
    # udev.packages = [ pkgs.gnome3.gnome-settings-daemon ];
  };

  security.pki.certificateFiles = [ "${pkgs.cacert}/etc/ssl/certs/ca-bundle.crt" ];

  services.xserver.videoDrivers = [ "modesetting" ];

  # boot.kernelPackages = lib.mkForce pkgs.linuxPackages_latest;

  nix.gc = {
    automatic = true;
  };
}
